Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss.kerberos
Class KerberosBinarySecurityToken

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSBinarySecurityToken
oracle.security.xmlsec.wss.kerberos.KerberosBinarySecurityToken`

All Implemented Interfaces:
  WSSecurityToken

public class KerberosBinarySecurityToken
extends WSSBinarySecurityToken

This class represents a WSS Binary Security Token of type Kerberos V5 AP_REQ.

Field Summary

Fields inherited from class oracle.security.xmlsec.wss.WSSBinarySecurityToken
`DEFAULT_ENCODING_TYPE`

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`KerberosBinarySecurityToken(org.w3c.dom.Document owner)` Create a new `KerberosSecurityToken` instance.
`KerberosBinarySecurityToken(org.w3c.dom.Document owner, java.lang.String encType)` Create a new `KerberosSecurityToken` instance.
`KerberosBinarySecurityToken(org.w3c.dom.Document owner, java.lang.String valType, java.lang.String encType)` Create a new `KerberosSecurityToken` instance.
`KerberosBinarySecurityToken(org.w3c.dom.Element kbdv5APREQElement)` Create a new `KerberosSecurityToken` instance from the given XML element.
`KerberosBinarySecurityToken(org.w3c.dom.Element kbdv5APREQElement, java.lang.String systemId)` Create a new `KerberosSecurityToken` instance from the given XML element.

Method Summary
`boolean` | `equals(byte[] apreqBytes)` Checks if the Kerberos V5 AP_REQ stored in this structure is the same as the given one.
`java.lang.Object` | `getToken()` Get the token contents.
`void` | `setToken(java.lang.Object apreqBytes)` Set the token contents.

Methods inherited from class oracle.security.xmlsec.wss.WSSBinarySecurityToken
`getEncodingType, getTokenName, getValue, getValueType, setValue`

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityToken
`getNode`

Constructor Detail

### KerberosBinarySecurityToken

    public KerberosBinarySecurityToken(org.w3c.dom.Element kbdv5APREQElement)

  Create a new `KerberosSecurityToken` instance from the given XML element.
Parameters:
  `kbdv5APREQElement` - A Kerberos V5 AP_REQ token.

### KerberosBinarySecurityToken

    public KerberosBinarySecurityToken(org.w3c.dom.Element kbdv5APREQElement,
                                       java.lang.String systemId)

  Create a new `KerberosSecurityToken` instance from the given XML element.
Parameters:
  `kbdv5APREQElement` - A Kerberos V5 AP_REQ token.
  `systemId` - The URI string system ID for this element.

### KerberosBinarySecurityToken

    public KerberosBinarySecurityToken(org.w3c.dom.Document owner)

  Create a new `KerberosSecurityToken` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.

### KerberosBinarySecurityToken

    public KerberosBinarySecurityToken(org.w3c.dom.Document owner,
                                       java.lang.String encType)

  Create a new `KerberosSecurityToken` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `encType` - The `String` indicating the encoding type.

### KerberosBinarySecurityToken

    public KerberosBinarySecurityToken(org.w3c.dom.Document owner,
                                       java.lang.String valType,
                                       java.lang.String encType)

  Create a new `KerberosSecurityToken` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The `String` indicating the value type.
  `encType` - The `String` indicating the encoding type.

Method Detail

### setToken

    public void setToken(java.lang.Object apreqBytes)

  Set the token contents.
  Specified by:
    `setToken` in class `WSSBinarySecurityToken`
  Parameters:
    `apreqBytes` - The raw bytes of the Kerberos AP_REQ.

### getToken

    public java.lang.Object getToken()
                              throws WSSException

  Get the token contents.
  Specified by:
    `getToken` in interface `WSSecurityToken`
  Specified by:
    `getToken` in class `WSSBinarySecurityToken`
  Returns:
    The raw Kerberos AP_REQ bytes.
  Throws:
    `WSSException`

### equals

    public boolean equals(byte[] apreqBytes)

  Checks if the Kerberos V5 AP_REQ stored in this structure is the same as the given one.
  Parameters:
    `apreqBytes` - The Kerberos V5 AP_REQ token bytes to compare.
  Returns:
    `true` if the raw bytes match or `false` otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.